//
// Created by sasha on 27.11.2025.
//

#ifndef RU_DANSOFT_PUZZLE15_IMAGE_H
#define RU_DANSOFT_PUZZLE15_IMAGE_H

#include "iwidget.h"

#include <string>

class Image : public IWidget {
    public:
        Image(IWidget *parent, float x, float y, float width, float height, const std::string &filename="");
        ~Image();

        bool setTexture(const std::string &filename);

        void draw() override;

    private:
        SDL_Texture* texture = nullptr;
};


#endif //RU_DANSOFT_PUZZLE15_IMAGE_H
